# MiCasaServer (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.server
Class MiCasaServer

    java.lang.Object
      com.threerings.presents.server.PresentsServer
          com.threerings.crowd.server.CrowdServer
              com.threerings.micasa.server.MiCasaServer

Direct Known Subclasses:
  SimpleServer

    public class MiCasaServer

extends com.threerings.crowd.server.CrowdServer

The main general organizer of everything that goes on in the MiCasa game server process.

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.crowd.server.CrowdServer
`com.threerings.crowd.server.CrowdServer.CrowdModule`

Nested classes/interfaces inherited from class com.threerings.presents.server.PresentsServer
`com.threerings.presents.server.PresentsServer.PresentsModule, com.threerings.presents.server.PresentsServer.PresentsServerModule`

Field Summary

Fields inherited from class com.threerings.presents.server.PresentsServer
`invmgr, omgr`

Constructor Summary
`MiCasaServer()`

Method Summary
`void` `init(com.google.inject.Injector injector)`
`static void` `main(String[] args)`

Methods inherited from class com.threerings.presents.server.PresentsServer
`queueShutdown, run, runServer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiCasaServer

    public MiCasaServer()

Method Detail

### main

    public static void main(String[] args)

### init

    public void init(com.google.inject.Injector injector)
              throws Exception

  Overrides:
    `init` in class `com.threerings.crowd.server.CrowdServer`
  Throws:
    `Exception`

Copyright © 2011. All Rights Reserved.